"use strict";
var testing_1 = require('@angular/core/testing');
var slide_service_1 = require('../../src/renderer/services/slide.service');
testing_1.describe('SlideService', function () {
    testing_1.beforeEachProviders(function () { return [
        slide_service_1.SlideService
    ]; });
    testing_1.it('Should service exist', testing_1.inject([slide_service_1.SlideService], function (testee) {
        testing_1.expect(testee).toBeDefined();
    }));
    testing_1.describe('#getPageText', function () {
        var testee;
        testing_1.beforeEach(testing_1.inject([slide_service_1.SlideService], function (s) { return testee = s; }));
        testing_1.describe('text is nothing', function () {
            testing_1.it('should be empty', function () {
                testing_1.expect(testee.getPageText(1)).toEqual('');
            });
        });
        testing_1.describe('text has been setted', function () {
            testing_1.beforeEach(function () {
                testee.setText('# page1\n---\n# page2');
            });
            testing_1.it('should get text by page', function () {
                testing_1.expect(testee.getPageText(1)).toEqual('# page1\n');
                testing_1.expect(testee.getPageText(2)).toEqual('\n# page2');
                testing_1.expect(testee.getPageText(3)).toEqual('');
            });
        });
    });
    testing_1.describe('#getMaxPage', function () {
        var testee;
        testing_1.beforeEach(testing_1.inject([slide_service_1.SlideService], function (s) { return testee = s; }));
        testing_1.describe('text is nothing', function () {
            testing_1.it('should be 1', function () {
                testing_1.expect(testee.getMaxPage()).toEqual(1);
            });
        });
        testing_1.describe('text has been setted', function () {
            testing_1.beforeEach(function () {
                testee.setText('# page1\n---\n# page2');
            });
            testing_1.it('should get last page number', function () {
                testing_1.expect(testee.getMaxPage()).toEqual(2);
            });
        });
    });
    testing_1.describe('#getPageNo', function () {
        var testee;
        testing_1.beforeEach(testing_1.inject([slide_service_1.SlideService], function (s) { return testee = s; }));
        testing_1.describe('text is nothing', function () {
            testing_1.it('should be 1', function () {
                testing_1.expect(testee.getPageNo(1)).toEqual(1);
            });
        });
        testing_1.describe('text has been setted', function () {
            testing_1.beforeEach(function () {
                testee.setText('# page1\n---\n# page2');
            });
            testing_1.it('should get page number', function () {
                testing_1.expect(testee.getPageNo(1)).toEqual(1);
                testing_1.expect(testee.getPageNo(2)).toEqual(2);
                testing_1.expect(testee.getPageNo(3)).toEqual(2);
            });
        });
    });
});
//# sourceMappingURL=slide.service.spec.js.map